GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - e -

- Edge() : geos::geomgraph::Edge , geos::planargraph::Edge
- edgeBegin() : geos::planargraph::PlanarGraph , geos::planargraph::Subgraph
- EdgeEnd() : geos::geomgraph::EdgeEnd
- edgeEnd() : geos::planargraph::PlanarGraph
- EdgeEndBundleStar() : geos::operation::relate::EdgeEndBundleStar
- edgeIterator() : geos::planargraph::PlanarGraph
- edgeMap : geos::geomgraph::EdgeEndStar
- edit() : geos::geom::util::GeometryEditorOperation , geos::geom::util::CoordinateOperation , geos::geom::util::GeometryEditor
- end() : geos::planargraph::DirectedEdgeStar
- EndCapStyle : geos::operation::buffer::BufferParameters
- endLine() : geos::linearref::LinearGeometryBuilder
- ensureExtent() : geos::index::bintree::Bintree , geos::index::quadtree::Quadtree
- envelope : geos::geom::Geometry , geos::triangulate::DelaunayTriangulationBuilder
- Envelope() : geos::geom::Envelope
- envelopeCovers() : geos::geom::prep::BasicPreparedGeometry
- envelopesIntersect() : geos::geom::prep::BasicPreparedGeometry
- equals() : geos::geom::Coordinate , geos::geom::CoordinateSequence , geos::geom::Envelope , geos::geom::Geometry , geos::geomgraph::Edge
- equals3D() : geos::geom::Coordinate
- equalsExact() : geos::geom::Geometry , geos::geom::GeometryCollection , geos::geom::LineString , geos::geom::MultiLineString , geos::geom::MultiPolygon , geos::geom::Point , geos::geom::Polygon , geos::geom::MultiPoint
- equalsNonOriented() : geos::triangulate::quadedge::QuadEdge
- equalsOriented() : geos::triangulate::quadedge::QuadEdge
- equalsTopo() : geos::geom::LineSegment
- eval() : geos::geom::prep::AbstractPreparedPolygonContains
- expandBy() : geos::geom::Envelope
- expandEnvelope() : geos::geom::CoordinateSequence , geos::geom::CoordinateArraySequence
- expandToInclude() : geos::geom::Envelope
- EXTERIOR : geos::geom::Location
- extract() : geos::linearref::ExtractLineByLocation , geos::geom::util::GeometryExtracter , geos::linearref::ExtractLineByLocation
- extractFactory() : geos::geom::util::GeometryCombiner
- extractLine() : geos::linearref::LocationIndexedLine , geos::linearref::LengthIndexedLine
- extractPoint() : geos::linearref::LocationIndexedLine , geos::linearref::LengthIndexedLine
- extractSegmentStrings() : geos::noding::SegmentStringUtil
- extractUniqueCoordinates() : geos::triangulate::DelaunayTriangulationBuilder